// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.21.9
// source: signup_user.proto

package pb

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type SignUpUserInput struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name            string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Email           string `protobuf:"bytes,2,opt,name=email,proto3" json:"email,omitempty"`
	Password        string `protobuf:"bytes,3,opt,name=password,proto3" json:"password,omitempty"`
	PasswordConfirm string `protobuf:"bytes,4,opt,name=passwordConfirm,proto3" json:"passwordConfirm,omitempty"`
}

func (x *SignUpUserInput) Reset() {
	*x = SignUpUserInput{}
	if protoimpl.UnsafeEnabled {
		mi := &file_signup_user_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SignUpUserInput) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SignUpUserInput) ProtoMessage() {}

func (x *SignUpUserInput) ProtoReflect() protoreflect.Message {
	mi := &file_signup_user_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SignUpUserInput.ProtoReflect.Descriptor instead.
func (*SignUpUserInput) Descriptor() ([]byte, []int) {
	return file_signup_user_proto_rawDescGZIP(), []int{0}
}

func (x *SignUpUserInput) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *SignUpUserInput) GetEmail() string {
	if x != nil {
		return x.Email
	}
	return ""
}

func (x *SignUpUserInput) GetPassword() string {
	if x != nil {
		return x.Password
	}
	return ""
}

func (x *SignUpUserInput) GetPasswordConfirm() string {
	if x != nil {
		return x.PasswordConfirm
	}
	return ""
}

type SignUpUserResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	User *User `protobuf:"bytes,1,opt,name=user,proto3" json:"user,omitempty"`
}

func (x *SignUpUserResponse) Reset() {
	*x = SignUpUserResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_signup_user_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SignUpUserResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SignUpUserResponse) ProtoMessage() {}

func (x *SignUpUserResponse) ProtoReflect() protoreflect.Message {
	mi := &file_signup_user_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SignUpUserResponse.ProtoReflect.Descriptor instead.
func (*SignUpUserResponse) Descriptor() ([]byte, []int) {
	return file_signup_user_proto_rawDescGZIP(), []int{1}
}

func (x *SignUpUserResponse) GetUser() *User {
	if x != nil {
		return x.User
	}
	return nil
}

var File_signup_user_proto protoreflect.FileDescriptor

var file_signup_user_proto_rawDesc = []byte{
	0x0a, 0x11, 0x73, 0x69, 0x67, 0x6e, 0x75, 0x70, 0x5f, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x12, 0x02, 0x70, 0x62, 0x1a, 0x0a, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x22, 0x81, 0x01, 0x0a, 0x0f, 0x53, 0x69, 0x67, 0x6e, 0x55, 0x70, 0x55, 0x73,
	0x65, 0x72, 0x49, 0x6e, 0x70, 0x75, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x65,
	0x6d, 0x61, 0x69, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x65, 0x6d, 0x61, 0x69,
	0x6c, 0x12, 0x1a, 0x0a, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x12, 0x28, 0x0a,
	0x0f, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64,
	0x43, 0x6f, 0x6e, 0x66, 0x69, 0x72, 0x6d, 0x22, 0x32, 0x0a, 0x12, 0x53, 0x69, 0x67, 0x6e, 0x55,
	0x70, 0x55, 0x73, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1c, 0x0a,
	0x04, 0x75, 0x73, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x08, 0x2e, 0x70, 0x62,
	0x2e, 0x55, 0x73, 0x65, 0x72, 0x52, 0x04, 0x75, 0x73, 0x65, 0x72, 0x42, 0x06, 0x5a, 0x04, 0x2e,
	0x2f, 0x70, 0x62, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_signup_user_proto_rawDescOnce sync.Once
	file_signup_user_proto_rawDescData = file_signup_user_proto_rawDesc
)

func file_signup_user_proto_rawDescGZIP() []byte {
	file_signup_user_proto_rawDescOnce.Do(func() {
		file_signup_user_proto_rawDescData = protoimpl.X.CompressGZIP(file_signup_user_proto_rawDescData)
	})
	return file_signup_user_proto_rawDescData
}

var file_signup_user_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_signup_user_proto_goTypes = []interface{}{
	(*SignUpUserInput)(nil),    // 0: pb.SignUpUserInput
	(*SignUpUserResponse)(nil), // 1: pb.SignUpUserResponse
	(*User)(nil),               // 2: pb.User
}
var file_signup_user_proto_depIdxs = []int32{
	2, // 0: pb.SignUpUserResponse.user:type_name -> pb.User
	1, // [1:1] is the sub-list for method output_type
	1, // [1:1] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_signup_user_proto_init() }
func file_signup_user_proto_init() {
	if File_signup_user_proto != nil {
		return
	}
	file_user_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_signup_user_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SignUpUserInput); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_signup_user_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SignUpUserResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_signup_user_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_signup_user_proto_goTypes,
		DependencyIndexes: file_signup_user_proto_depIdxs,
		MessageInfos:      file_signup_user_proto_msgTypes,
	}.Build()
	File_signup_user_proto = out.File
	file_signup_user_proto_rawDesc = nil
	file_signup_user_proto_goTypes = nil
	file_signup_user_proto_depIdxs = nil
}
